=== debian/changelog ===
inn2 (2.5.3-3ubuntu1) trusty; urgency=medium

  * Pass "-s /bin/sh" to "su news" to cope with the change of the news
    user's shell in base-passwd 3.5.30.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 27 Jan 2014 06:05:10 +0000

inn2 (2.5.3-3build1) trusty; urgency=low

  * Rebuild for Perl 5.18.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Oct 2013 13:14:19 +0100

inn2 (2.5.3-3) unstable; urgency=low

  * Fixed the fix for #690128.

 -- Marco d'Itri <md@linux.it>  Mon, 08 Apr 2013 09:21:53 +0200

inn2 (2.5.3-2) unstable; urgency=low

  * Fixed the fix for #652733, which totally broke pgpverify.
    (Closes: #685007)
  * Handle upstream renaming of our conffile /etc/news/motd.news to
    non-conffile /etc/news/motd.nnrpd. If it has not been modified by
    the admin then just remove it. Patch courtesy of Nick Leverton.
    (Closes: #690128)

 -- Marco d'Itri <md@linux.it>  Sun, 07 Apr 2013 21:43:24 +0200

inn2 (2.5.3-1) unstable; urgency=low

  * New upstream release. Fixes:
    + stop sending mail to top1000.org. (Closes: #658438)
    + better check the permissions of the nnrpd TLS private key.
      (Closes: #632068)
  * Do not prefer gpgv2 if it is installed at build time. (Closes: #652733)
  * Added support for dpkg-buildflags and enhanced hardening.

 -- Marco d'Itri <md@linux.it>  Fri, 29 Jun 2012 02:02:31 +0200
