=== debian/control ===
Source: inn2
Section: news
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Marco d'Itri <md@linux.it>
Build-Depends: bison, debhelper (>> 7), groff-base, libperl-dev (>= 5.8.0), libdb-dev, libkrb5-dev, libpam0g-dev, libsasl2-dev, libssl-dev (>= 0.9.7), zlib1g-dev
Standards-Version: 3.9.3.1

Package: inn2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cron, default-mta | mail-transport-agent, time, procps, perl, ${PERLAPI}, libmime-tools-perl
Pre-Depends: inn2-inews (>= 2.3.999+20030227-1)
Suggests: gnupg, wget, libgd-gd2-noxpm-perl | libgd-gd2-perl, ${shlibs:Suggests}
Replaces: inn, inewsinn, innfeed, ninpaths, inn2-dev
Provides: news-transport-system
Conflicts: inn2-lfs, cnews, inn, inewsinn, innfeed, ninpaths
Description: 'InterNetNews' news server
 This package provides INN 2.x, which is a very complex news server
 daemon useful for big sites. The 'inn' package still exists for smaller
 sites which do not need the complexity of INN 2.x.
 .
 The news transport is the part of the system that stores the articles
 and the lists of which groups are available and so on, and provides
 those articles on request to users. It receives news (either posted
 locally or from a newsfeed site), files it, and passes it on to any
 downstream sites. Each article is kept for a period of time and then
 deleted (this is known as 'expiry').
 .
 By default Debian's INN will install in a fairly simple 'local-only'
 configuration.
 .
 In order to make use of the services provided by INN you'll have to
 use a user-level newsreader program such as trn. The newsreader is
 the program that fetches articles from the server and shows them to
 the user, remembering which the user has seen so that they don't get
 shown again. It also provides the posting interface for the user.
Homepage: https://www.isc.org/software/inn

Package: inn2-lfs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cron, default-mta | mail-transport-agent, time, procps, perl, ${PERLAPI}, libmime-tools-perl
Pre-Depends: inn2-inews (>= 2.3.999+20030227-1)
Suggests: gnupg, wget, libgd-gd2-noxpm-perl | libgd-gd2-perl, ${shlibs:Suggests}
Replaces: inn, inewsinn, innfeed, ninpaths, inn2-dev
Provides: news-transport-system, inn2
Conflicts: inn2, cnews, inn, inewsinn, innfeed, ninpaths
Description: 'InterNetNews' news server (LFS version)
 This package provides INN 2.x, which is a very complex news server
 daemon useful for big sites. The 'inn' package still exists for smaller
 sites which do not need the complexity of INN 2.x.
 .
 This version of the package is compiled with Large Files Support.
 .
 The news transport is the part of the system that stores the articles
 and the lists of which groups are available and so on, and provides
 those articles on request to users. It receives news (either posted
 locally or from a newsfeed site), files it, and passes it on to any
 downstream sites. Each article is kept for a period of time and then
 deleted (this is known as 'expiry').
 .
 By default Debian's INN will install in a fairly simple 'local-only'
 configuration.
 .
 In order to make use of the services provided by INN you'll have to
 use a user-level newsreader program such as trn. The newsreader is
 the program that fetches articles from the server and shows them to
 the user, remembering which the user has seen so that they don't get
 shown again. It also provides the posting interface for the user.
Homepage: https://www.isc.org/software/inn

Package: inn2-inews
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: inews
Conflicts: inewsinn, inn2 (<< 2.3.1), cnews
Replaces: inewsinn, inn2 (<< 2.3.1)
Description: NNTP client news injector, from InterNetNews (INN)
 'inews' is the program that newsreaders call when the user wishes to
 post an article; it does a few elementary checks and passes the article
 on to the news server for posting.
 .
 This version is the one from Rich Salz's InterNetNews news transport
 system (which is also available as a Debian package).

Package: inn2-dev
Section: devel
Architecture: any
Depends: ${misc:Depends}
Conflicts: inn, inn-dev
Description: libinn.a library, headers and man pages
 You will only need this if you are going to compile programs that 
 require the functions in libinn.a.
