=== debian/watch ===
version=3
opts=dversionmangle=s/r$// \
ftp://ftp.isc.org/isc/inn/inn-([\d\.]+)\.tar\.gz
